org.apache.ignite.internal.processors.jobmetrics

## Class GridJobMetrics

- java.lang.Object
- - org.apache.ignite.internal.processors.jobmetrics.GridJobMetrics

    public class GridJobMetrics
    extends Object

Job metrics.

### Constructor Summary

Constructors
Constructor and Description
`GridJobMetrics()`

### Method Summary

Methods
`float` `getAverageActiveJobs()`
`float` `getAverageCancelledJobs()`
`double` `getAverageCpuLoad()` Gets CPU load average.
`double` `getAverageJobExecuteTime()` Gets average job execution time.
`double` `getAverageJobWaitTime()`
`float` `getAverageRejectedJobs()`
`float` `getAverageWaitingJobs()`
`int` `getCurrentActiveJobs()`
`int` `getCurrentCancelledJobs()`
`long` `getCurrentIdleTime()` Gets current idle time.
`long` `getCurrentJobExecuteTime()` Gets execution time of longest job currently running.
`long` `getCurrentJobWaitTime()`
`int` `getCurrentRejectedJobs()`
`int` `getCurrentWaitingJobs()`
`int` `getMaximumActiveJobs()`
`int` `getMaximumCancelledJobs()`
`long` `getMaximumJobExecuteTime()`
`long` `getMaximumJobWaitTime()`
`int` `getMaximumRejectedJobs()`
`int` `getMaximumWaitingJobs()`
`int` `getTotalCancelledJobs()`
`int` `getTotalExecutedJobs()`
`long` `getTotalIdleTime()` Gets total idle time.
`int` `getTotalRejectedJobs()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridJobMetrics

    public GridJobMetrics()

### Method Detail

#### getMaximumActiveJobs

    public int getMaximumActiveJobs()

Returns:
  Maximum active jobs.

#### getCurrentActiveJobs

    public int getCurrentActiveJobs()

Returns:
  Number of jobs currently executing.

#### getAverageActiveJobs

    public float getAverageActiveJobs()

Returns:
  Average number of concurrently executing active jobs.

#### getMaximumWaitingJobs

    public int getMaximumWaitingJobs()

Returns:
  Maximum number of jobs waiting concurrently in the queue.

#### getCurrentWaitingJobs

    public int getCurrentWaitingJobs()

Returns:
  Current waiting jobs.

#### getAverageWaitingJobs

    public float getAverageWaitingJobs()

Returns:
  Average waiting jobs.

#### getMaximumRejectedJobs

    public int getMaximumRejectedJobs()

Returns:
  Maximum number of rejected jobs during a single collision resolution.

#### getCurrentRejectedJobs

    public int getCurrentRejectedJobs()

Returns:
  Jobs rejected during last collision resolution on this node.

#### getAverageRejectedJobs

    public float getAverageRejectedJobs()

Returns:
  Average number of jobs rejected with every collision resolution.

#### getTotalRejectedJobs

    public int getTotalRejectedJobs()

Returns:
  Total number of jobs rejected on this node.

#### getMaximumCancelledJobs

    public int getMaximumCancelledJobs()

Returns:
  Maximum canceled jobs.

#### getCurrentCancelledJobs

    public int getCurrentCancelledJobs()

Returns:
  Current canceled jobs.

#### getAverageCancelledJobs

    public float getAverageCancelledJobs()

Returns:
  Average canceled jobs.

#### getTotalExecutedJobs

    public int getTotalExecutedJobs()

Returns:
  Total executed jobs.

#### getTotalCancelledJobs

    public int getTotalCancelledJobs()

Returns:
  Total canceled jobs.

#### getMaximumJobWaitTime

    public long getMaximumJobWaitTime()

Returns:
  Maximum job wait time.

#### getCurrentJobWaitTime

    public long getCurrentJobWaitTime()

Returns:
  Current job wait time.

#### getAverageJobWaitTime

    public double getAverageJobWaitTime()

Returns:
  Average job wait time.

#### getMaximumJobExecuteTime

    public long getMaximumJobExecuteTime()

Returns:
  Maximum job execute time.

#### getCurrentJobExecuteTime

    public long getCurrentJobExecuteTime()

Gets execution time of longest job currently running.

Returns:
  Execution time of longest job currently running.

#### getAverageJobExecuteTime

    public double getAverageJobExecuteTime()

Gets average job execution time.

Returns:
  Average job execution time.

#### getTotalIdleTime

    public long getTotalIdleTime()

Gets total idle time.

Returns:
  Total idle time.

#### getCurrentIdleTime

    public long getCurrentIdleTime()

Gets current idle time.

Returns:
  Current idle time.

#### getAverageCpuLoad

    public double getAverageCpuLoad()

Gets CPU load average.

Returns:
  CPU load average.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC1
Release Date | : February 17 2015